<?php
declare(strict_types=1);

namespace Archive\Config;

enum ApiConfig: string
{
    // RapidMail Konfiguration
    case RAPIDMAIL_USERNAME = '3f60a5c15c3d49c631d0e75b7c1090a3859423a7';
    case RAPIDMAIL_PASSWORD = '572d25dc36e620f14c89e9c75c02c1f3794ba3c0';
    case RAPIDMAIL_DEFAULT_LIST_ID = '776';

    // Shopify API Konfiguration
    case SHOPIFY_SHOP_DOMAIN = 'michaelschiemer.myshopify.com';
    case SHOPIFY_ACCESS_TOKEN = 'shpat_123456789abcdef';
    case SHOPIFY_API_VERSION = '2024-04';

    /**
     * Gibt die numerische RapidMail-Listen-ID zurück
     */
    public static function getRapidmailListId(): int
    {
        return (int)self::RAPIDMAIL_DEFAULT_LIST_ID->value;
    }
}
